Index: npl/overig/ldns/ldns.SlackBuild
===================================================================
--- npl/overig/ldns/ldns.SlackBuild	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/overig/ldns/ldns.SlackBuild	(revision 5fedc401896bb521287db633d5b77c78a4134180)
@@ -0,0 +1,71 @@
+#!/bin/bash
+#DEP:openssl
+##NEED:...
+##DEP:..
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR 
+
+#AUTOMAKE: Configure
+#Some usefull stuff you sometimes need to set:
+#export LDFLAGS="-L/usr/X11/lib/ -L/usr/lib/mysql/"
+#export LD_LIBRARY_PATH=/usr/lib/mysql
+#export VPATH=$LD_LIBRARY_PATH
+#export CFLAGS="-std=c89"
+#export CFLAGS="-fgnu89-inline" #If "multiple definition of `foo'" Also see http://gcc.gnu.org/gcc-4.3/porting_to.html
+MAKE_OPTS=""
+./configure --prefix=/usr  || exit 1
+
+#AUTOMAKE: Compile
+make $MAKE_OPTS || exit 1
+
+
+#AUTOMAKE: Install
+mkdir -p /tmp/pkg &>/dev/null
+make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg $MAKE_OPTS install || exit 1
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
+
Index: npl/overig/ldns/ldns.arch
===================================================================
--- npl/overig/ldns/ldns.arch	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/overig/ldns/ldns.arch	(revision 5fedc401896bb521287db633d5b77c78a4134180)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/ldns/ldns.build
===================================================================
--- npl/overig/ldns/ldns.build	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/overig/ldns/ldns.build	(revision 5fedc401896bb521287db633d5b77c78a4134180)
@@ -0,0 +1,1 @@
+2
Index: npl/overig/ldns/ldns.depver
===================================================================
--- npl/overig/ldns/ldns.depver	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/overig/ldns/ldns.depver	(revision 5fedc401896bb521287db633d5b77c78a4134180)
@@ -0,0 +1,1 @@
+openssl	5
Index: npl/overig/ldns/ldns.md5
===================================================================
--- npl/overig/ldns/ldns.md5	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/overig/ldns/ldns.md5	(revision 5fedc401896bb521287db633d5b77c78a4134180)
@@ -0,0 +1,5 @@
+74b75c9ba69fb3af2a0c26244ecfd9f6  ./ldns-1.7.0.tar.gz
+f67de5df093f8b7aeea80ef3fdbc7f4e  ./ldns_dev.pkg
+a9a0277f82e0eea7fe8ec54bcdb2dd71  ./ldns.pkg
+fb17446ef912953c579afc9d74572d18  ./ldns.SlackBuild
+9a905821697bf37d040033b3c2a6dd1b  ./ldns.SlackBuild.log.gz
Index: npl/overig/ldns/ldns.version
===================================================================
--- npl/overig/ldns/ldns.version	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/overig/ldns/ldns.version	(revision 5fedc401896bb521287db633d5b77c78a4134180)
@@ -0,0 +1,1 @@
+1.7.0
Index: npl/overig/ldns/ldns_dev.arch
===================================================================
--- npl/overig/ldns/ldns_dev.arch	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/overig/ldns/ldns_dev.arch	(revision 5fedc401896bb521287db633d5b77c78a4134180)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/ldns/ldns_dev.build
===================================================================
--- npl/overig/ldns/ldns_dev.build	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/overig/ldns/ldns_dev.build	(revision 5fedc401896bb521287db633d5b77c78a4134180)
@@ -0,0 +1,1 @@
+2
Index: npl/overig/ldns/ldns_dev.version
===================================================================
--- npl/overig/ldns/ldns_dev.version	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/overig/ldns/ldns_dev.version	(revision 5fedc401896bb521287db633d5b77c78a4134180)
@@ -0,0 +1,1 @@
+1.7.0
